.NET 4.5 Developer Preview Installation Error on Windows XP

Microsoft released the beta of Visual Studio 11 last week and I wanted to take a spin around it. My development machine currently runs Windows XP SP3 and I didn’t think twice to download the .NET 4.5 Developer Preview to install as a prerequisite for Visual Studio 11. Alas, though, I ran into the following nasty dialog when trying to install .NET 4.5.

The Procedure entry point FLSAlloc could not be located in the dynamic link library KERNEL32.dll.

Whoa there, Nelly! What’s going on? Well, simply put, .NET 4.5 will not run on Windows XP, and requires at least Windows 7 or Windows Server 2008. I guess this day has been coming for several years and it’s been time for me to upgrade my development machine for some time. Maybe now I have the impetus to do it. Welcome to the twenty-teens, eh!

Comments are closed.

Sign in
classic
Forgot password?
×
Sign up

(*) Required fields

I agree with OptimaSales Terms & Privacy Policy

×